%%%%%% RaBVItG V1.0: Radial Basis Value Iteration Game Algorithm

% Reference:
% Jorge Herrera, Benjamin Ivorra and ngel M. Ramos
% RaBVItG: An Algorithm for Solving a Class of Multi-Players Feedback Nash Differential Games
% May 2019 Mathematical Problems in Engineering 2019(Article ID 1417275):14
% DOI: 10.1155/2019/1417275

% If you use this code for your work, please cite this reference.

%%%%%% Example 2

%%%%%%% This version of the CODE is implemented to solve "TEST 3" FROM CACACE,
%%%%%%%%% CRISTIANI, FALCONE (2011) Numerical Approximation of Nash
%%%%%%%%% Equilibria for a Class of Non-Cooperative Differential Games


%The main function is: RaBVItG(N,dt, verbose, tol)

% If you choose:

[Vv1 Vv2 V1 V2 its]=RaBVItG(30,0.01, 2,0.001)

% N=30 is the number of points each player discretize its state variable
% dt= 0.01 is the time discrete step
% verbose = 1 means you only have the information about convergence in a plot
% verbose = 2 means you have a plot with the 2D value functions
% (interpolated in a mesh) and convergence information
% tol is your desired tolerance parameter

%once you get the output, here you can plot the results as in the original
%paper interpolating
N=30 %update


figure(1)

xx1=linspace(-2,2,N);
xx2=linspace(-2,2,N);
[X01 X02]=meshgrid(xx1,xx2);

surf(X01,X02,Vv1)
set ( gca ,'fontsize',14)% Use The 10 Contour As The Cutoff

xlabel('x_1','FontSize',14)
ylabel('x_2','FontSize',14)
zlabel('Value P1','FontSize',14)

figure(2)
surf(X01,X02,Vv2)
set ( gca ,'fontsize',14)% Use The 10 Contour As The Cutoff

xlabel('x_1','FontSize',14)
ylabel('x_2','FontSize',14)
zlabel('Value P2','FontSize',14)


