clear all
 clc 
close all

%%%%%% RaBVItG V1.0: Radial Basis Value Iteration Game Algorithm

% Reference:
% Jorge Herrera, Benjamin Ivorra and Ángel M. Ramos
% RaBVItG: An Algorithm for Solving a Class of Multi-Players Feedback Nash Differential Games
% May 2019 Mathematical Problems in Engineering 2019(Article ID 1417275):14
% DOI: 10.1155/2019/1417275

% If you use this code for your work, please cite this reference.

%%%%%% Example "Differential Love Games" joint work with José-Manuel Rey

%%%%%% THIS CODE SOLVES A DIFFERENTIAL LOVE GAME  WITH ONE STATE
%%%%%% VARIABLE IN 1D AND TWO PARTNERS. 


global rho rbf1 rbf2 r a1 a2 r2 v0 Xtr net pold1 pold2 N  x01 x02 u01 u02 x1 var1 varx dt Xtr sp

%%%%%% Modify the following parameters and RUN the function called LOVE2D

rho=0.1
r=2
a1=1
a2=1.5
dt=0.01
Points=10
[v0,uold1,uold2 ]=LOVE2D(Points)

%%%%%% The algorithm delivers the value of the game (v0) for both partners
%%%%%% and the optimal controls (uold1, uold2) at the set of the selected discrete
%%%%%% points

