%%%%%% RaBVItG V1.0: Radial Basis Value Iteration Game Algorithm

% Reference:
% Jorge Herrera, Benjamin Ivorra and ngel M. Ramos
% RaBVItG: An Algorithm for Solving a Class of Multi-Players Feedback Nash Differential Games
% May 2019 Mathematical Problems in Engineering 2019(Article ID 1417275):14
% DOI: 10.1155/2019/1417275

% If you use this code for your work, please cite this reference.

%%%%%% Example 1

%%%%%% THIS CODE SOLVES LINEAR QUADRATIC DIFFERENTIAL GAMES WITH STATE
%%%%%% VARIABLE IN 1D AND TWO PLAYERS. IT CAN BE EASILY ADAPTED TO MORE
%%%%% PLAYERS.
%%%%%
%%%%% THIS CODE IS PARAMETERIZED TO SOLVE the problem FROM Engwerda pg399,
%%%%% where the solution has one Nash Equilibrium :

%%%%%     u_1(t)=-2*x(t),  u_2(t)=-2*x(t)

%For instance, if we choose a time-step of 0.01, 5 points for the state
%variable and a tolerance value of 0.001, we get:

[k11 k22]=RaBVItGLQR(0.01,5, 0.001)


%k11 and k22 are the policies associated to the N points in the state
%variable